// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 2001-2002 - ENPC - Jean-Philippe Chancelier
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [y]=std(x)
// 
//
  [m,n] = size(x);
  if m==1 | n==1 then
    m = max(m,n);
    y = norm(x- sum(x)/m);
  else
     avg = sum(x,'r')/m;
     y = zeros(avg)
     for i = 1:n
       y(i) = norm(x(:,i)-avg(i));
     end
  end
  if m==1 then
    y = 0;
  else
     y = y/sqrt(m-1);
  end
endfunction 

